## sonic-visualiser 2.0

=== debian/changelog ===
sonic-visualiser (2.0-1) unstable; urgency=low

  * Initial packaging (Closes: #520230).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Oct 2012 15:32:00 +0200
