=== debian/control ===
Source: sonic-visualiser
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libbz2-dev,
 libdataquay-dev,
 libfftw3-dev,
 libfishsound1-dev,
 libid3tag0-dev,
 libjack-dev,
 liblo-dev,
 liblrdf0-dev,
 libmad0-dev,
 liboggz2-dev,
 libpulse-dev,
 libqt4-dev,
 librdf0-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 portaudio19-dev,
 vamp-plugin-sdk
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://www.sonicvisualiser.org
Vcs-Git: git://git.debian.org/pkg-multimedia/sonic-visualiser.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/sonic-visualiser.git

Package: sonic-visualiser
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: viewing and analysing the contents of music audio files
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.

Package: sonic-visualiser-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 sonic-visualiser (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for sonic-visualiser
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.
 .
 This package provides the debugging symbols for sonic-visualiser.
