=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS+=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS+=$(shell dpkg-buildflags --get CPPFLAGS)

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs sonic-visualiser/CHANGELOG

override_dh_auto_configure:
	dh_auto_configure

	perl -i -pe 's,-I/usr/include/FLAC,,' sonic-visualiser/Makefile
	perl -i -pe 's,-I/usr/include/FLAC,,' svapp/Makefile
	perl -i -pe 's,-I/usr/include/FLAC,,' svcore/Makefile
	perl -i -pe 's,-I/usr/include/FLAC,,' svgui/Makefile

override_dh_auto_build:
	$(MAKE) -C svcore
	$(MAKE) -C svgui
	$(MAKE) -C svapp
	$(MAKE) -C sonic-visualiser

override_dh_strip:
	dh_strip --dbg-package=sonic-visualiser-dbg
