=== debian/watch ===
version=3

http://code.soundsoftware.ac.uk/projects/sonic-visualiser/files \
	/attachments/download/\d+/sonic-visualiser-(.*)\.tar\.gz
