## sonic-visualiser 2.1

=== debian/changelog ===
sonic-visualiser (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #707884).
  * Refreshed patch.
  * Set build dependency vamp-plugin-sdk (>= 2.5).
  * Added libsord-dev as build dependency.
  * Fix VCS canonical URLs.
  * Bump standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 02 Jun 2013 16:07:38 +0200
