=== debian/control ===
--- 
+++ 
@@ -26,12 +26,12 @@
  libsndfile1-dev,
  libx11-dev,
  portaudio19-dev,
- vamp-plugin-sdk
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+ vamp-plugin-sdk (>= 2.5),
+ libsord-dev
+Standards-Version: 3.9.4
 Homepage: http://www.sonicvisualiser.org
-Vcs-Git: git://git.debian.org/pkg-multimedia/sonic-visualiser.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/sonic-visualiser.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sonic-visualiser.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sonic-visualiser.git
 
 Package: sonic-visualiser
 Architecture: any
