## sonic-visualiser 2.2~repack1

=== debian/changelog ===
sonic-visualiser (2.2~repack1-1) unstable; urgency=low

  * New upstream release.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 07:20:50 +0200
