## sonic-visualiser 2.3~repack1

=== debian/changelog ===
sonic-visualiser (2.3~repack1-3) unstable; urgency=medium

  * Team upload.
  * Do not install x-sonicvisualiser*.desktop files.
    (Closes: #725049, LP: #1161283, #1255469)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 01 Apr 2014 11:52:13 +0200

sonic-visualiser (2.3~repack1-2) unstable; urgency=low

  * Fix desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Jan 2014 00:55:45 +0100

sonic-visualiser (2.3~repack1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Add %U on the end of Exec= line in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 12 Jan 2014 11:09:52 +0100
