=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
  libsord-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.sonicvisualiser.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sonic-visualiser.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sonic-visualiser.git
