=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,12 @@
 	dh $@
 
 override_dh_installchangelogs:
-	dh_installchangelogs sonic-visualiser/CHANGELOG
+	dh_installchangelogs CHANGELOG
 
 override_dh_auto_configure:
 	dh_auto_configure
 
-	perl -i -pe 's,-I/usr/include/FLAC,,' sonic-visualiser/Makefile
+	perl -i -pe 's,-I/usr/include/FLAC,,' Makefile
 	perl -i -pe 's,-I/usr/include/FLAC,,' svapp/Makefile
 	perl -i -pe 's,-I/usr/include/FLAC,,' svcore/Makefile
 	perl -i -pe 's,-I/usr/include/FLAC,,' svgui/Makefile
@@ -24,7 +24,7 @@
 	$(MAKE) -C svcore
 	$(MAKE) -C svgui
 	$(MAKE) -C svapp
-	$(MAKE) -C sonic-visualiser
+	$(MAKE)
 
 override_dh_strip:
 	dh_strip --dbg-package=sonic-visualiser-dbg
