=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
http://code.soundsoftware.ac.uk/projects/sonic-visualiser/files \
	/attachments/download/\d+/sonic-visualiser-(.*)\.tar\.gz \
	debian sh debian/repack.stub
