## sonic-visualiser 2.4.1~repack1

=== debian/changelog ===
sonic-visualiser (2.4.1~repack1-2build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:09:00 +0000

sonic-visualiser (2.4.1~repack1-2) unstable; urgency=low

  * Don't build against internal dataquay.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 07 Oct 2014 10:10:03 +0200

sonic-visualiser (2.4.1~repack1-1) unstable; urgency=low

  * Imported Upstream version 2.4.1~repack1
  * Build with qt5.
  * Build with dh parallel.
  * Dropped desktop patch - applied upstream.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Oct 2014 20:42:42 +0200
