=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libbz2-dev,
- libdataquay-dev,
+ libdataquay-dev (>= 0.9-3),
  libfftw3-dev,
  libfishsound1-dev,
  libid3tag0-dev,
@@ -18,7 +19,9 @@
  libmad0-dev,
  liboggz2-dev,
  libpulse-dev,
- libqt4-dev,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  librdf0-dev,
  librubberband-dev,
  libsamplerate0-dev,
@@ -28,7 +31,7 @@
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
  libsord-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.sonicvisualiser.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sonic-visualiser.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sonic-visualiser.git
