## sonic-visualiser 2.5~repack1

=== debian/changelog ===
sonic-visualiser (2.5~repack1-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 20:44:59 +0100

sonic-visualiser (2.5~repack1-3) unstable; urgency=medium

  * Drop dbg package in favour of dbgsym.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2016 13:25:46 +0200

sonic-visualiser (2.5~repack1-2) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Fix watch file.
  * Tune .gitignore file.
  * Update copyright file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2016 11:32:55 +0200

sonic-visualiser (2.5~repack1-1) unstable; urgency=medium

  * Imported Upstream version 2.5~repack1
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Oct 2015 14:03:45 +0100
