=== debian/control ===
Source: sonic-visualiser
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 libbz2-dev,
 libdataquay-dev (>= 0.9-3),
 libfftw3-dev,
 libfishsound1-dev,
 libid3tag0-dev,
 libjack-dev,
 liblo-dev,
 liblrdf0-dev,
 libmad0-dev,
 liboggz2-dev,
 libpulse-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 librdf0-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 portaudio19-dev,
 vamp-plugin-sdk (>= 2.5),
 libsord-dev
Standards-Version: 3.9.8
Homepage: http://www.sonicvisualiser.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sonic-visualiser.git

Package: sonic-visualiser
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: viewing and analysing the contents of music audio files
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.
