=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
http://code.soundsoftware.ac.uk/projects/sonic-visualiser/files \
	/attachments/download/\d+/sonic-visualiser-([\d.]+)\.tar\.gz
