## sonic-visualiser 3.0.3

=== debian/changelog ===
sonic-visualiser (3.0.3-4) unstable; urgency=medium

  * Fixed typos in helper paths (Closes: #888425)
  * New maintainer address <debian-multimedia@lists.d.o>
  * Bumped debhelper compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Jan 2018 22:14:19 +0100

sonic-visualiser (3.0.3-3) unstable; urgency=medium

  * Fixed test-suite patch for arm64

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 13:46:00 +0100

sonic-visualiser (3.0.3-2) unstable; urgency=medium

  * Patch to make test-suite more tolerant on exotic archs (Closes: #882178)
  * Force pristine-tar compression to "gz"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 00:00:33 +0100

sonic-visualiser (3.0.3-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Reimport upstream as version 3.0.3
    - There's really no need to repack
  * Install helpers in /usr/lib/sonic-visualiser/
  * Install light icon
  * Fixed exporting of CXXFLAGS/LDFLAGS
  * Use "-ffloat-store" on i386.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #878329)
  * Add CITATION to the docs
  * Update URL to online-documentation in manpage
  * Put sonic-visualiser to top of d/install
  * Get rid for "get-orig-source" target
  * Switch d/watch to https://
  * Add Debian copyright holders to d/copyright

  [ Jaromír Mikeš ]
  * Update copyright file.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Renumber patches.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 13 Oct 2017 23:13:55 +0200

sonic-visualiser (3.0.3~repack1-1) unstable; urgency=medium

  * New upstream version 3.0.3~repack1

  [ Jaromír Mikeš ]
  * Update copyright.
  * Update Vcs - use git instead of cgit.
  * Add libcapnp-dev as B-D.
  * Patch refreshed.
  * Bump Standards.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Added more qt-dependencies
  * Removed outdated tweaks to build sv* modules
  * Added missing-source for piper.capnp
    * Re-build piper.capnp from source
  * Fixed test suite
    * export UTF-8 locales so the tests can succeed
    * provide a HOME-directory for running the tests
  * Document DH_VERBOSE in d/rules
  * Updated d/copyright
    * Added rule to run licensecheck
    * Added d/copyright_hints for easier license checking
    * Added myself to copyright holders
  * Added myself to uploaders
  * Bumped Standards to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Oct 2017 23:19:47 +0200
