=== debian/changelog ===
sonic-visualiser (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1

  * Fixed QT_SELECT
  * Made qmake install into DESTDIR by overriding INSTALL_ROOT
  * Prevent helpers from getting installed into /usr/bin
  * Updated d/copyright
    * Regenerated d/copyright_hints
    * Added copyright-holders for translations
  * Bumped standards version to 4.2.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 21 Aug 2018 22:37:33 +0200

sonic-visualiser (3.1-1) unstable; urgency=medium

  * New upstream version 3.1

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch for cross-compilation.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #900913)
  * Switched upstream URLs to https://
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Jul 2018 17:16:09 +0200
