=== debian/control ===
--- 
+++ 
@@ -35,10 +35,10 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.1.3
-Homepage: http://www.sonicvisualiser.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sonic-visualiser.git
+Standards-Version: 4.2.0
+Homepage: https://www.sonicvisualiser.org
+Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/sonic-visualiser
 
 Package: sonic-visualiser
 Architecture: any
