=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
 
-export QT_SELECT := qt5
+export QT_SELECT=qt5
 
 %:
 	dh $@
@@ -37,6 +37,12 @@
 	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.h
 	rm -rf $(CURDIR)/tmp
 
+override_dh_auto_install:
+	dh_auto_install -- \
+		INSTALL_ROOT='$$(DESTDIR)' \
+		$(empty)
+	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -delete
+
 licensecheck:
 	licensecheck --deb-machine -r * \
 		> debian/copyright_newhints
