## sonic-visualiser 3.2.1

=== debian/changelog ===
sonic-visualiser (3.2.1-1build1) disco; urgency=medium

  * No-change rebuild against libcapnp-0.7.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 00:32:04 +0000

sonic-visualiser (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

  * Added patch to honour DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #918718)
  * Don't install compiled tests into /usr/tests/

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Jan 2019 12:23:33 +0100

sonic-visualiser (3.2-1) unstable; urgency=medium

  * New upstream version 3.2

  [ Olivier Humbert ]
  * Adds a manpage in French
  * Installs the French manpage

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Refreshed debian/copyright(_hints)
  * Enforce C++-14 (Closes: #917690)
  * Bumped standard version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 06 Jan 2019 14:08:52 +0100
