=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -35,7 +36,7 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sonic-visualiser
