## sonic-visualiser 3.2.1.1+rb2

=== debian/changelog ===
sonic-visualiser (3.2.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Wed, 27 Jan 2021 14:27:20 +0800
