=== debian/changelog ===
sonic-visualiser (3.3-1) unstable; urgency=medium

  * New upstream version 3.3
    * Refresh patches

  * B-D on libopusfile-dev
  * Refresh d/copyright(_hints)
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 12
  * Bump standards-version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jul 2019 21:23:20 +0200
