=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev,
@@ -23,6 +23,7 @@
  libjack-dev,
  liblo-dev,
  liblrdf0-dev,
+ libopusfile-dev,
  libmad0-dev,
  liboggz2-dev,
  libpulse-dev,
@@ -35,7 +36,7 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sonic-visualiser
